Bug 812784 - [FEAT] need a way to allocate large sized iobuf
[FEAT] need a way to allocate large sized iobuf
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Amar Tumballi
Raghavendra Bhat
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-16 04:35 EDT by Amar Tumballi
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:24:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa43
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2012-04-16 04:35:20 EDT
Description of problem:
Currently we have a static number of arenas for iobuf allocation. With the current method, the maximum size of buffer allocated through iobuf_get2() is 1MB. But in few cases with CLI (like volume status <VOLNAME> inode, volume profile etc,) we would need bigger buffer to be transferred on wire.


Version-Release number of selected component (if applicable):
master HEAD
Comment 1 Anand Avati 2012-05-04 00:55:02 EDT
CHANGE: http://review.gluster.com/3136 (iobuf: option to provide larger size of buffers) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Raghavendra Bhat 2012-05-24 06:36:36 EDT
Now larger sized iobufs can be allocated through stdalloc, if the buffer size requested is greater than the maximum available buffer size.

Note You need to log in before you can comment on or make changes to this bug.